<?php

$path = "http://podkast.nrk.no/program/klaus_sonstad_show.rss";
$showfile = file_get_contents($path);

if(!$doc = domxml_open_mem($showfile)) {
echo "Error while parsing the document...";
exit;
}

$xpath = xpath_new_context($doc);
$root = $doc->document_element();

//debugging
//echo domxml_version();
//var_dump(xpath_eval_expression($xpath, '/rss/channel/item')); //http://no.php.net/manual/sv/function.xpath-eval-expression.php
//debugging - memory dump
//echo $doc->dump_mem( true, 'UTF-8' ) ; //http://no.php.net/manual/sv/function.domdocument-dump-mem.php
//print "    Path: <a href=\"$path\">$path</a><br>\n";
//print "    Showfile: <a href=\"$showfile\">$showfile</a><br>\n";
//print "    domDoc: <a href=\"$domDoc\">$domDoc</a><br>\n";
//print "    root: <a href=\"$root\">$root</a><br>\n";

// playlist plus search function

$playlist = $xpath->xpath_eval("/rss/channel/item[contains(translate(title,'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'), '".strtoupper($_REQUEST["search"])."')]");

//debug
//print "playlist found: ".count($playlist->nodeset)."\n";

print "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n";
print "<playlist version=\"0\" xmlns=\"http://xspf.org/ns/0/\">\n";
print "  <title>NRK P3 - Klaus Sonstad Show</title>\n";
print "  <annotation>Klaus Sonstad Show</annotation>\n";
print "  <creator>NRK P3</creator>\n";
print "  <info>http://nrk.no/p3/</info>\n";
print "  <location>http://rita.nrk.no/community/klaussonstadshow/temp/rss2xspf.php</location>\n";
print "  <license></license>\n";

print "<trackList>\n";
foreach ($playlist->nodeset as $tracklist) {
    $description = "";
    $title = "";
    $enclosureurl = "";
    //$enclosureurl = $tracklist->get_attribute("length");
    //$spor = $tracklist->get_attribute("spor");
    //$sangid = "$arkivnr-$spor";

    foreach ($tracklist->child_nodes() as $child) {
        if ($child->node_name() == "title") $title = $child->get_content();
        if ($child->node_name() == "description") $description = $child->get_content();
        if ($child->node_name() == "enclosure") $enclosureurl = $child->get_attribute("url");
    }
    print "<track>\n";
    print " <location>$enclosureurl</location>\n";
    print " <image>hassan/bilder/else150.jpg</image>\n";
    print " <annotation>$title</annotation>\n";
    print " <info></info>\n";
    print " <info_text>$description</info_text>\n";
    print " </track>\n";
}
print "</trackList>\n";
print "</playlist>\n";

?>